import request from '@/utils/request'

export function batchReview(data) {
  return request({
    url: '/gas/patrolTeam/batchReview',
    method: 'POST',
    data: data
  })
}
// 查询巡检车队列表
export function listPatrolTeam(query) {
  return request({
    url: '/gas/patrolTeam/list',
    method: 'get',
    params: query
  })
}

// 查询巡检车队详细
export function getPatrolTeam(id) {
  return request({
    url: '/gas/patrolTeam/' + id,
    method: 'get'
  })
}

// 新增巡检车队
export function addPatrolTeam(data) {
  return request({
    url: '/gas/patrolTeam',
    method: 'post',
    data: data
  })
}

// 修改巡检车队
export function updatePatrolTeam(data) {
  return request({
    url: '/gas/patrolTeam',
    method: 'put',
    data: data
  })
}

// 删除巡检车队
export function delPatrolTeam(id) {
  return request({
    url: '/gas/patrolTeam/' + id,
    method: 'delete'
  })
}

export function getReviewList(data) {
  return request({
    url: '/gas/patrolTeam/reviewList',
    method: 'get',
    params: data
  })
}
